## ros-noetic-rc-genicam-api 2.5.12

=== debian/changelog ===
ros-noetic-rc-genicam-api (2.5.12-1buster) buster; urgency=high

  * Imporved Windows build script for compiling with libpng
  * Fixed some issues when compiling under Windows

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 22 Oct 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.11-1buster) buster; urgency=high

  * Fixed getting buffers with chunk data from Basler ace2 USB cameras

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 04 Oct 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.10-1buster) buster; urgency=high

  * Make system, interface, device and stream ignore closing already closed objects

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.9-1buster) buster; urgency=high

  * Improved measuring of buffers per second in gc_stream
  * Do not show latency in gc_stream -t if PTP is turned off

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.8-1buster) buster; urgency=high

  * Added support for YUV422_8 and YCbCr422_8 pixel formats

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 08 Sep 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.7-1buster) buster; urgency=high

  * Added possibility to specify the internal number of buffers to allocate
  * gc_file tool: Exit with error if file cannot be loaded

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 31 Aug 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.6-1buster) buster; urgency=high

  * Changed ImageList::find with tolerance > 0 to return the closest within tolerance

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.5-1buster) buster; urgency=high

  * Fixed rounding when converting between color and monochrome images
  * Reduce minimum number of buffers
  * Do not attach chunk data handler to incomplete buffer

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 27 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.4-1buster) buster; urgency=high

  * Fixed reporting of operation status of gc_file tool

 -- Felix Ruess <felix.ruess@roboception.de>  Sat, 24 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.3-1buster) buster; urgency=high

  * Added build script for Visual Studio
  * Added methods for getting region id and data purpose id from buffer
  * On Windows, also try to find producers in sub directories of current library
  * Fixed some compiler warnings
  * Improved error message when writing on cport fails
  * Fixed conversion from YCbCr411 format to Mono8 in convertImage() function
  * Improved error message when setting invalid enum
  * Added support for RGB8 color format in getColor() function

 -- Felix Ruess <felix.ruess@roboception.de>  Fri, 16 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.2-1buster) buster; urgency=high

  * Added possibility for configuration of multiple Gev interfaces in gc_config
  * Fixed printing of Mac address in gc_info
  * Added method to stream object for checking the number of buffers available for grabbing
  * Treating missing parameters in Buffer as 0
  * Changed way how to define different path for locating producers
  * Added possibility to discover producers in non-default locations and ignoring a specific producer
  * Added possibility to store xml file with gc_info with original name

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 05 Jul 2021 22:00:00 -0000

ros-noetic-rc-genicam-api (2.5.1-1buster) buster; urgency=high

  * Fixed compile problems under Windows
  * Fixed using wrong pointer in method Stream::getTLType()
  * Readme: Add link to release page
  * Removing redundent specification of namespace in some source files

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 15 Mar 2021 23:00:00 -0000

ros-noetic-rc-genicam-api (2.5.0-1buster) buster; urgency=high

  * Upgrading GenICam reference implementation to version 3.3
  * Added support for storing images of format RGB8 and BayerXX8
  * Increasing discover timeout from 100 ms to 1 s, which is necessary for some cameras
  * Resetting chunk adapter in gc_stream if user explicitely disables chunk data
  * Added tool gc_file for reading / writing user data from / to a GenICam device
  * Integrated attaching buffers to nodemap into stream and buffer classes
  * Added support for handling payload type chunk data for supporting Basler ace cameras
  * Updated handling of PTP in gc_config tool using the new feature names
  * Correct exception message if png can't be stored
  * Rename adaptive_out1_reduction to out1_reduction in stored parameter file

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 25 Feb 2021 23:00:00 -0000

ros-noetic-rc-genicam-api (2.4.4-1buster) buster; urgency=high

  * Trying to fix problem that interface handle becomes invalid

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 22 Oct 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.4.3-1buster) buster; urgency=high

  * Improved reporting of exceptions

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.4.2-1buster) buster; urgency=high

  * Added some optional Roboception specific information to the parameter files
  * Fixed crashing of gc_info if getting nodemap from device fails
  * Fixed getEnum crash if enum doesn't contain a value

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 21 Oct 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.4.1-1buster) buster; urgency=high

  * Enabled building for ROS focal on gitlab

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 30 Jul 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.4.0-1buster) buster; urgency=high

  * gc_stream now puts status of GPIO out and in lines in two separate bit fields in file name

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 26 Jul 2020 22:00:00 -0000

ros-noetic-rc-genicam-api (2.3.7-1buster) buster; urgency=high


